# Installation
You need to install python3 and then pip install all the packages from
requirements.txt. It is recommended that you do this in a virtual environment
as there might be more packages in there than necessary.

# Warning
The code is experimental and running it might result in unforseen concequences.
There are also hard coded values in there which might not work with the
computer/file you are trying to work with.

# Files
A description of the files.

## parsePcap.py
Parse a pcap to a Bag of Feature file which can be used by the svm. The second
argument is used to set the class for the found suspicious sockets: "1"
corresponds with Freenet socket, and "-1" corresponds with not a freenet
socket.

```python parsePcap.py set1.pcap 1```

## svm.py
Run the svm on a training set and a test set.

```python svm.py set1_bof.csv set2_bof.csv```

## generateTraffic.py
This does the traffic generation automatically. The IP addresses are hard
coded, so this will not work if you run it as-is.

```python generateTraffic.py```
